## alligator 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Tobias Fella <tobias.fella@kde.org>
# SPDX-FileCopyrightText: 2020 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(alligator VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.0.0")
set(QT_MIN_VERSION "6.5.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(KDE_COMPILERSETTINGS_LEVEL 6.0.0)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMAddAndroidApk)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX ALLIGATOR
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/alligator-version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Sql)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Syndication Config I18n ColorScheme Kirigami)

find_package(KF6KirigamiAddons 0.6 REQUIRED)
if (NOT BUILD_SHARED_LIBS)
    find_package(QQC2BreezeStyle REQUIRED)
endif()

if (ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    find_package(OpenSSL REQUIRED)
    find_package(SQLite3)
else()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII
                -DQT_NO_CAST_TO_ASCII
                -DQT_NO_URL_CAST_FROM_STRING
                -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
                -DQT_USE_QSTRINGBUILDER
                -DQT_DISABLE_DEPRECATED_BEFORE=0x050d00
)

ki18n_install(po)

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(PROGRAMS org.kde.alligator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.alligator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES alligator.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

add_subdirectory(src)
add_subdirectory(autotests)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

## alligator 23.08.5

=== debian/changelog ===
alligator (23.08.5-2) unstable; urgency=medium

  * Replace build-dep kirigami-addons-dev with kirigami-addons5-dev (Closes: #1079468)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 23 Aug 2024 22:59:06 +0200

alligator (23.08.5-1) unstable; urgency=low

  * Initial release. (Closes: #1067123)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 10 Apr 2024 00:14:02 +0200

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               libkf5i18n-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5syndication-dev,
               kirigami-addons5-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/alligator/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/alligator.git
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-qt-labs-platform,
Recommends:
 ca-certificates,
 breeze-icon-theme,
 qml-module-org-kde-kirigami-addons-labs-mobileform,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 24.08.1

=== debian/changelog ===
alligator (24.08.1-1) experimental; urgency=low

  * New upstream release
  * Place pkgkde-getqmldepends in rules to detect qml runtime dependencies.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 09 Oct 2024 23:50:27 +0200

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qt6-base-dev,
               qt6-declarative-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkf6coreaddons-dev,
               libkf6config-dev,
               appstream,
               kirigami-addons-dev,
               pkg-kde-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/alligator/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/alligator.git
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_before_dh_gencontrol:
	pkgkde-getqmldepends -v --qt 6 -- -qmlFiles `find | grep qml$$`

%:
	dh $@

## alligator 24.08.3

=== debian/changelog ===
alligator (24.08.3-1) unstable; urgency=medium

  * New upstream release
  * Add dh-sequence-qmldeps to Build-Deps

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 28 Nov 2024 00:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                appstream,
                kirigami-addons-dev,
                pkg-kde-tools,
+               dh-sequence-qmldeps,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/network/alligator
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/alligator/

## alligator 24.12.0

=== debian/changelog ===
alligator (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 16:59:48 +0000

alligator (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:00:28 +0000

alligator (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Update build deps.
  * Do not run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 14:24:45 +0000

alligator (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 19:47:01 +0000

alligator (24.08.1-1ubuntu1) plucky; urgency=medium

  * Set qml module depends manually to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 17:25:07 +0000

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6colorscheme-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkirigami-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-declarative-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick, qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:

## alligator 24.12.1

=== debian/changelog ===
alligator (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 23:39:41 +0100

alligator (24.12.0-3) unstable; urgency=medium


  [ Salvo 'LtWorf' Tomaselli ]
  * Do not run tests, they require a graphical session

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 25 Dec 2024 13:06:12 +0100

alligator (24.12.0-2) unstable; urgency=medium


  [ Salvo 'LtWorf' Tomaselli ]
  * Added missing build-deps

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 25 Dec 2024 10:49:06 +0100

alligator (24.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Dec 2024 11:41:12 +0100

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               libkf6i18n-dev,
               libkf6colorscheme-dev,
               libkf6syndication-dev,
               libkf6coreaddons-dev,
               libkf6config-dev,
               appstream,
               libkirigami-dev,
               kirigami-addons-dev,
               pkg-kde-tools,
               dh-sequence-qmldeps,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/alligator/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/alligator.git
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 24.12.3

=== debian/changelog ===
alligator (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 22:26:00 +0000

alligator (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 11:17:23 +0100

alligator (24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 27 Feb 2025 17:33:03 +0100

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake,
               extra-cmake-modules,
               kirigami-addons-dev,
               libkf6colorscheme-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6syndication-dev,
               libkirigami-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: ca-certificates, kf6-breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 25.04.0

=== debian/changelog ===
alligator (25.04.0-2) unstable; urgency=medium

  * Improve button ordering
  * Bump standards versions to 4.7.2 (no changes required)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 21 Apr 2025 09:49:44 +0200

alligator (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 08:54:03 +0200

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
               libkf6i18n-dev,
               libkf6colorscheme-dev,
               libkf6syndication-dev,
               libkf6coreaddons-dev,
               libkf6config-dev,
               appstream,
               libkirigami-dev,
               kirigami-addons-dev,
               pkg-kde-tools,
               dh-sequence-qmldeps,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/network/alligator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/alligator/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/alligator.git
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends:
 ${qml6:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 25.04.3

=== debian/changelog ===
alligator (25.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream point release (25.04.3).
    - Fix loading of resources with relative URLs in feeds.
    - Fix handling of cross article URLs omitting the website’s hostname.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Jul 2025 10:23:00 +0200

alligator (25.04.0-4) unstable; urgency=medium

  * Add patch to copy the URL of an article

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 03 Jun 2025 20:14:21 +0200

alligator (25.04.0-3) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.
  * Make the Debian Qt/KDE Team the maintainer.
  * Update project homepage.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Apr 2025 22:24:58 +0200

## alligator 25.07.80

=== debian/changelog ===
alligator (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:00:44 +0100

alligator (25.04.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Depend on kf6-breeze-icon-theme instead of transitiona package.
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Sun, 06 Jul 2025 11:35:05 +0100

alligator (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:42 +0100

alligator (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:17 +0100

alligator (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:50 +0100

alligator (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:04 +0100

## alligator 25.07.90

=== debian/changelog ===
alligator (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:32 +0100

## alligator 25.08.0

=== debian/changelog ===
alligator (25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:11:36 +0000

alligator (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:00:05 +0000

alligator (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:13:58 +0000

alligator (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:26:50 +0000

alligator (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:01:32 +0000

alligator (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:20:57 +0000

alligator (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:54:00 +0000

alligator (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:15:10 +0000

alligator (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:13:11 +0000

alligator (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:02:29 +0000

alligator (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:27:05 +0000

alligator (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:50:49 +0000

alligator (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:22:16 +0000

alligator (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:17:15 +0000

alligator (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:59:06 +0000

alligator (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:14:39 +0000

alligator (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:59:36 +0000

alligator (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:48:26 +0000

alligator (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:25:45 +0000

alligator (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:41:29 +0000

alligator (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:04:00 +0000

alligator (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:51:29 +0000

alligator (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:34:56 +0000

alligator (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:33:55 +0000

alligator (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:11:00 +0000

alligator (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 15:44:06 +0000

alligator (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 15:44:06 +0000

alligator (22.09-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 15:44:05 +0000

alligator (22.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:28:17 +0000

alligator (22.04-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 23 Apr 2022 15:44:06 +0000

alligator (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Feb 2022 15:44:06 +0000

alligator (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 15:44:06 +0000

alligator (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 15:44:05 +0000

alligator (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 15:44:04 +0000

alligator (21.06-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:33 +0000

alligator (21.05-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:22 +0000

## alligator 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,16 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.0.0")
+set(KF_MIN_VERSION "6.12.0")
 set(QT_MIN_VERSION "6.5.0")
+set(CMAKE_CXX_STANDARD 20)
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -30,6 +31,7 @@
 include(ECMAddAndroidApk)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMQmlModule)
+include(ECMQtDeclareLoggingCategory)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX ALLIGATOR
@@ -62,10 +64,6 @@
 
 ki18n_install(po)
 
-if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-endif()
-
 install(PROGRAMS org.kde.alligator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.alligator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES alligator.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
@@ -73,7 +71,14 @@
 add_subdirectory(src)
 add_subdirectory(autotests)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ecm_qt_install_logging_categories(
+    EXPORT ALLIGATOR
+    FILE alligator.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
alligator (25.08.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 03 Oct 2025 14:21:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,4 @@
 	dh $@
 
 override_dh_auto_test:
+	true

## alligator 25.08.1+p24.04+vstable+git20250910.0648

=== debian/changelog ===
alligator (25.08.1+p24.04+vstable+git20250910.0648-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:48:03 +0000

alligator (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:31:25 +0000

## alligator 25.08.1+p24.04+vstable+git20251001.1107

=== debian/changelog ===
alligator (25.08.1+p24.04+vstable+git20251001.1107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:07:58 +0000

## alligator 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_test(NAME alligator-self-test COMMAND alligator --self-test)
if (NOT BUILD_SHARED_LIBS)
    set_tests_properties(alligator-self-test PROPERTIES
        ENVIRONMENT "QT_QUICK_CONTROLS_STYLE=org.kde.breeze"
    )
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(alligator
    main.cpp
    feedsmodel.cpp
    entriesmodel.cpp
    entriesproxymodel.cpp
    fetcher.cpp
    database.cpp
    feed.cpp
    feedgroupsmodel.cpp
    feedsproxymodel.cpp
    contenthelper.cpp
)

ecm_add_qml_module(alligator URI org.kde.alligator DEPENDENCIES QtCore)

ecm_target_qml_sources(alligator
    SOURCES
    qml/AddFeedDialog.qml
    qml/AlligatorGlobalDrawer.qml
    qml/EditFeedDialog.qml
    qml/EntryListDelegate.qml
    qml/EntryListPage.qml
    qml/EntryPage.qml
    qml/FeedDetailsPage.qml
    qml/FeedGroupDialog.qml
    qml/FeedListDelegate.qml
    qml/FeedListPage.qml
    qml/GroupsListPage.qml
    qml/SettingsPage.qml
    qml/Main.qml
)

kconfig_add_kcfg_files(alligator alligatorsettings.kcfgc GENERATE_MOC)

ecm_qt_declare_logging_category(alligator
    HEADER debug.h
    IDENTIFIER ALLIGATOR
    CATEGORY_NAME org.kde.alligator
    DESCRIPTION "Alligator"
    EXPORT ALLIGATOR
)

target_include_directories(alligator PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(alligator PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql KF6::Syndication KF6::CoreAddons KF6::ConfigGui KF6::I18n KF6::ColorScheme)
if (NOT QT6_IS_SHARED_LIBS_BUILD)
    qt6_import_qml_plugins(alligator)
endif()

if(ANDROID)
    target_link_libraries(alligator PRIVATE
        KF6::Kirigami
        Qt::Svg
        OpenSSL::SSL
    )
    if(SQLite3_FOUND)
        target_link_libraries(alligator PRIVATE SQLite::SQLite3)
    endif()

    kirigami_package_breeze_icons(ICONS
        bookmarks
        bookmarks-bookmarked
        delete
        settings-configure
        help-about-symbolic
        list-add
        view-refresh
        alligator
        mail-mark-read
        mail-read
        mail-mark-unread
        mail-sent
        globe
        data-error
        rss
        document-import
        document-export
        edit-group
        arrow-down
        arrow-up
        arrow-right
        license
        feed-subscribe
        documentinfo
        dialog-ok
        dialog-cancel
        editor
        favorite-symbolic
        sidebar-collapse
        sidebar-expand
    )
    ecm_add_android_apk(alligator ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(alligator PRIVATE Qt::Widgets)
endif()

install(TARGETS alligator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
alligator (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Depend on kf6-breeze-icon-theme instead of transitional package.
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Thu, 30 Oct 2025 09:34:08 +0000

alligator (25.08.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 28 Oct 2025 10:37:45 +0100

alligator (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:06 +0100

alligator (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:31 +0100

alligator (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:18:37 +0100

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               kirigami-addons-dev (>= 0.6~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6syndication-dev (>= 6.6.0~),
               libkirigami-dev (>= 6.6.0~),
               libqqc2breezestyle-dev,
               libssl-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/alligator/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: ca-certificates, kf6-breeze-icon-theme
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 25.08.2+p24.04+vstable+git20251011.0944

=== debian/changelog ===
alligator (25.08.2+p24.04+vstable+git20251011.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:44:50 +0000

alligator (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:08:33 +0000

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-syndication-dev,
               pkg-kde-tools-neon,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/alligator.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/alligator
Maintainer: Neon CI <neon@kde.org>

Package: alligator
Architecture: any
Depends: qml6-module-qt-labs-platform,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: RSS feed reader
 Read RSS feeds on a mobile device

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

## alligator 25.08.2+p24.04+vstable+git20251024.0222

=== debian/changelog ===
alligator (25.08.2+p24.04+vstable+git20251024.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:22:34 +0000

## alligator 25.08.2+p24.04+vstable+git20251031.0934

=== debian/changelog ===
alligator (25.08.2+p24.04+vstable+git20251031.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:34:53 +0000

## alligator 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
alligator (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:33:58 +0000

alligator (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:23 +1000

## alligator 25.08.3+p24.04+vunstable+git20251204.0226

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
alligator (25.08.3+p24.04+vunstable+git20251204.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:26:50 +0000

## alligator 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     feedgroupsmodel.cpp
     feedsproxymodel.cpp
     contenthelper.cpp
+    clipboard.cpp
 )
 
 ecm_add_qml_module(alligator URI org.kde.alligator DEPENDENCIES QtCore)

=== debian/changelog ===
alligator (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:17 +0000

alligator (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:09:43 +0000

## alligator 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
alligator (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:30 +0000

## alligator 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
alligator (25.12.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Depend on kf6-breeze-icon-theme instead of transitional package.
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Dec 2025 11:21:24 +0000

alligator (25.12.0-1) unstable; urgency=medium

  * New upstream release 
  * Remove upstreamed patches

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 17 Dec 2025 21:49:00 +0100

alligator (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:15 +0000

## alligator 25.12.0+p24.04+vstable+git20251231.0246

=== debian/changelog ===
alligator (25.12.0+p24.04+vstable+git20251231.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:46:22 +0000

alligator (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:08 +1000

## alligator 25.12.0+p24.04+vstable+git20260101.0155

=== debian/changelog ===
alligator (25.12.0+p24.04+vstable+git20260101.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:55:49 +0000

## alligator 25.12.0+p24.04+vstable+git20260105.1108

=== debian/changelog ===
alligator (25.12.0+p24.04+vstable+git20260105.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:08:17 +0000

## alligator 25.12.0+p24.04+vunstable+git20251208.1118

=== debian/changelog ===
alligator (25.12.0+p24.04+vunstable+git20251208.1118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:18:11 +0000

## alligator 25.12.0+p24.04+vunstable+git20260105.1337

=== debian/changelog ===
alligator (25.12.0+p24.04+vunstable+git20260105.1337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:37:41 +0000

## alligator 25.12.1

=== debian/changelog ===
alligator (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Depend on kf6-breeze-icon-theme instead of transitional package.
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 14:50:56 +0000

alligator (25.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 18 Jan 2026 13:21:33 +0100

alligator (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:55 +0000

=== debian/control ===
Source: alligator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               kirigami-addons-dev (>= 0.6~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6syndication-dev (>= 6.6.0~),
               libkirigami-dev (>= 6.6.0~),
               libqqc2breezestyle-dev,
               libssl-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/alligator/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/alligator
Rules-Requires-Root: no

Package: alligator
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: ca-certificates, kf6-breeze-icon-theme,
Description: Kirigami-based RSS feed aggregator
 Alligator is a convergent RSS feed aggregator.
 It requires manual entering of the URLs
 .
 The GUI uses Kirigami, so it works on mobile and desktop.

## alligator 25.12.1+p24.04+vstable+git20260106.1406

=== debian/changelog ===
alligator (25.12.1+p24.04+vstable+git20260106.1406-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:06:20 +0000

alligator (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:29 +1000

## alligator 25.12.1+p24.04+vstable+git20260120.0741

=== debian/changelog ===
alligator (25.12.1+p24.04+vstable+git20260120.0741-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:41:47 +0000

## alligator 25.12.1+p24.04+vstable+git20260131.0303

=== debian/changelog ===
alligator (25.12.1+p24.04+vstable+git20260131.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:03:54 +0000

## alligator 25.12.1+p24.04+vunstable+git20260106.1406

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,25 @@
 add_executable(alligator
     main.cpp
     feedsmodel.cpp
+    feedsmodel.h
     entriesmodel.cpp
+    entriesmodel.h
     entriesproxymodel.cpp
+    entriesproxymodel.h
     fetcher.cpp
+    fetcher.h
     database.cpp
+    database.h
     feed.cpp
+    feed.h
     feedgroupsmodel.cpp
+    feedgroupsmodel.h
     feedsproxymodel.cpp
+    feedsproxymodel.h
     contenthelper.cpp
+    contenthelper.h
     clipboard.cpp
+    clipboard.h
 )
 
 ecm_add_qml_module(alligator URI org.kde.alligator DEPENDENCIES QtCore)

## alligator 25.12.1+p24.04+vunstable+git20260201.0649

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(alligator VERSION ${RELEASE_SERVICE_VERSION})
@@ -20,7 +20,7 @@
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(KDE_COMPILERSETTINGS_LEVEL 6.0.0)
+set(KDE_COMPILERSETTINGS_LEVEL 6.12.0)
 
 include(FeatureSummary)
 include(ECMSetupVersion)
@@ -29,9 +29,12 @@
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(ECMAddAndroidApk)
+include(ECMDeprecationSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMQmlModule)
 include(ECMQtDeclareLoggingCategory)
+
+ecm_set_disabled_deprecation_versions(Qt 6.5.0 KF 6.12.0)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX ALLIGATOR
@@ -53,14 +56,6 @@
 else()
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
 endif()
-
-add_definitions(-DQT_NO_CAST_FROM_ASCII
-                -DQT_NO_CAST_TO_ASCII
-                -DQT_NO_URL_CAST_FROM_STRING
-                -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-                -DQT_USE_QSTRINGBUILDER
-                -DQT_DISABLE_DEPRECATED_BEFORE=0x050d00
-)
 
 ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 )
 
 target_include_directories(alligator PRIVATE ${CMAKE_BINARY_DIR})
-target_link_libraries(alligator PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql KF6::Syndication KF6::CoreAddons KF6::ConfigGui KF6::I18n KF6::ColorScheme)
+target_link_libraries(alligator PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::QuickControls2 Qt::Sql KF6::Syndication KF6::CoreAddons KF6::ConfigGui KF6::I18n KF6::ColorScheme KF6::I18nQml)
 if (NOT QT6_IS_SHARED_LIBS_BUILD)
     qt6_import_qml_plugins(alligator)
 endif()

=== debian/changelog ===
alligator (25.12.1+p24.04+vunstable+git20260201.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:49:11 +0000

## alligator 25.12.2

=== debian/changelog ===
alligator (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:15:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               appstream,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                kirigami-addons-dev (>= 0.6~),
                libkf6colorscheme-dev (>= 6.6.0~),

## alligator 25.12.2+p24.04+vstable+git20260218.0231

=== debian/changelog ===
alligator (25.12.2+p24.04+vstable+git20260218.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 02:31:23 +0000

alligator (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:51:33 +0000

## alligator 25.12.2+p24.04+vstable+git20260219.0231

=== debian/changelog ===
alligator (25.12.2+p24.04+vstable+git20260219.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 02:31:09 +0000
